diff -pruN 2.121/bin/colspec.py 2.122/bin/colspec.py
--- 2.121/bin/colspec.py	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/colspec.py	2024-04-10 23:08:27.000000000 +0000
@@ -1,5 +1,5 @@
 #!/usr/bin/env python3
-# vim: set sts=4 expandtab:
+# vim: set sw=4 sts=4 expandtab:
 
 """
 colspec.py - set colspec in XML to correct values
@@ -7,98 +7,101 @@ colspec.py - set colspec in XML to corre
 Copyright (C) 2009 Osamu Aoki, GPL
 """
 
-import sys, os, re
+import sys
+import re
 
-VERSION = '1.0.1'
+VERSION = "1.0.1"
 
-if __name__ == '__main__':
-
-    table_id  = ''
+if __name__ == "__main__":
+    table_id = ""
     tgroup_cols = 0
 
     for line in sys.stdin.readlines():
-        line=line[0:-1]
+        line = line[0:-1]
         if re.match('.*table id="', line):
-            table_id = re.sub(r'.*table id="([^"]*)".*',r'\1',line)
-#            print "table id =" + table_id 
-        elif re.match('.*<title>', line):
-            title = re.sub(r'.*<title>([^<]*)</title>.*',r'\1',line)
-#            print "title =" + title
+            table_id = re.sub(r'.*table id="([^"]*)".*', r"\1", line)
+        #            print "table id =" + table_id
+        elif re.match(".*<title>", line):
+            title = re.sub(r".*<title>([^<]*)</title>.*", r"\1", line)
+        #            print "title =" + title
         elif re.match('.*tgroup cols="', line):
-            tgroup_cols = int(re.sub(r'.*tgroup cols="([^"]*)".*',r'\1',line))
-#            print "tgroup_cols =", tgroup_cols
+            tgroup_cols = int(re.sub(r'.*tgroup cols="([^"]*)".*', r"\1", line))
+            #            print "tgroup_cols =", tgroup_cols
             cols = 0
             if tgroup_cols == 2:
-                colwidth = (40,60)
+                colwidth = (40, 60)
             elif tgroup_cols == 3:
-                colwidth = (30,30,40)
+                colwidth = (30, 30, 40)
             elif tgroup_cols == 4:
-                colwidth = (20,12,6,62)
+                colwidth = (20, 12, 6, 62)
             elif tgroup_cols == 5:
-                colwidth = (20,12,6,12,50)
+                colwidth = (20, 12, 6, 12, 50)
             elif tgroup_cols == 6:
-                colwidth = (20,12,6,12,12,38)
+                colwidth = (20, 12, 6, 12, 12, 38)
             elif tgroup_cols == 7:
-                colwidth = (20,12,6,12,12,12,26)
+                colwidth = (20, 12, 6, 12, 12, 12, 26)
             elif tgroup_cols == 8:
-                colwidth = (20,12,6,6,6,6,6,26)
+                colwidth = (20, 12, 6, 6, 6, 6, 6, 26)
             # List of exceptions
             if table_id == "thenumericmodefoinchmodbcommands":
-                colwidth = (20,80)
+                colwidth = (20, 80)
             elif table_id == "listofnotablesysupsforfileaccess":
-                colwidth = (20,80)
+                colwidth = (20, 80)
             elif table_id == "listofnotablesysommandexecutions":
-                colwidth = (20,80)
+                colwidth = (20, 80)
             elif table_id == "listoftypesoftimestamps":
-                colwidth = (20,80)
+                colwidth = (20, 80)
             elif table_id == "listofnotablesysupsforfileaccess":
-                colwidth = (20,80)
+                colwidth = (20, 80)
             elif table_id == "listofnotablepinpinningtechnique":
-                colwidth = (20,80)
+                colwidth = (20, 80)
             elif table_id == "listofkeyboardreigurationmethods":
-                colwidth = (20,80)
+                colwidth = (20, 80)
             elif table_id == "listoffilesystemalusagescenarios":
-                colwidth = (20,80)
+                colwidth = (20, 80)
             elif table_id == "thereplacementexpression":
-                colwidth = (30,70)
+                colwidth = (30, 70)
             elif table_id == "thekeybindingsofmc":
-                colwidth = (30,70)
+                colwidth = (30, 70)
             elif table_id == "listofkeywebsiteaspecificpackage":
-                colwidth = (30,70)
+                colwidth = (30, 70)
             elif table_id == "listofspecialdevicefiles":
-                colwidth = (30,20,50)
+                colwidth = (30, 20, 50)
             elif table_id == "listofdebianarchivearea":
-                colwidth = (20,20,60)
+                colwidth = (20, 20, 60)
             elif table_id == "listofviewsforaptitude":
-                colwidth = (20,20,60)
+                colwidth = (20, 20, 60)
             elif table_id == "listofrunlevelsationoftheirusage":
-                colwidth = (20,20,60)
+                colwidth = (20, 20, 60)
             elif table_id == "listofsshauthenttocolsandmethods":
-                colwidth = (20,40,40)
+                colwidth = (20, 40, 40)
             elif table_id == "listofterminologornetworkdevices":
-                colwidth = (20,20,25,35)
+                colwidth = (20, 20, 25, 35)
             elif table_id == "tableofkeywordsundicatefonttypes":
-                colwidth = (25,25,25,25)
+                colwidth = (25, 25, 25, 25)
             elif table_id == "listofinsecureanservicesandports":
-                colwidth = (25,25,25,25)
+                colwidth = (25, 25, 25, 25)
             elif table_id == "therelationshipbsuiteandcodename":
-                colwidth = (25,25,25,25)
+                colwidth = (25, 25, 25, 25)
             elif table_id == "theumaskvalueexamples":
-                colwidth = (20,25,25,30)
+                colwidth = (20, 25, 25, 30)
             elif table_id == "dimportantconfigilesforpam_unixi":
-                colwidth = (20,20,10,10,40)
+                colwidth = (20, 20, 10, 10, 40)
             elif table_id == "listoftoolstogeneratepassword":
-                colwidth = (15,15,10,15,45)
+                colwidth = (15, 15, 10, 15, 45)
             elif table_id == "listofnetworkaddressranges":
-                colwidth = (10,40,30,10,10)
-
+                colwidth = (10, 40, 30, 10, 10)
 
         if re.match('.*table pgwide="', line):
-            print(re.sub(r'(.*table pgwide=)"0"(.*)',r'\1"1"\2',line))
+            print(re.sub(r'(.*table pgwide=)"0"(.*)', r'\1"1"\2', line))
         elif re.match('.*colspec colwidth="', line):
             x = str(colwidth[cols])
             cols += 1
-            print(re.sub(r'(.*colspec colwidth=").*',r'\1',line)+str(x)+"*"+re.sub(r'.*colspec colwidth="[^"]*(".*)',r'\1',line))
+            print(
+                re.sub(r'(.*colspec colwidth=").*', r"\1", line)
+                + str(x)
+                + "*"
+                + re.sub(r'.*colspec colwidth="[^"]*(".*)', r"\1", line)
+            )
         else:
             print(line)
-
diff -pruN 2.121/bin/genreplace 2.122/bin/genreplace
--- 2.121/bin/genreplace	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/genreplace	2024-04-10 23:08:27.000000000 +0000
@@ -1,17 +1,17 @@
 #! /bin/sh -e
-# vim: set sts=4 expandtab:
+# vim: set sw=2 expandtab:
 PKG_GEN=$1
-PKG_VER=$(grep -e "^Package:" packages.txt |\
-    sed -e "s/Package: //" |\
-    grep -e "^${PKG_GEN}[-\.0-9]*[0-9]\$"|\
-    sort -n|\
-    tail -1)
+PKG_VER=$(grep -e "^Package:" packages.txt |
+  sed -e "s/Package: //" |
+  grep -e "^${PKG_GEN}[-\.0-9]*[0-9]\$" |
+  sort -n |
+  tail -1)
 if [ -n "${PKG_VER}" ]; then
-    echo "s/@${PKG_GEN}@/${PKG_VER}/g"
+  echo "s/@${PKG_GEN}@/${PKG_VER}/g"
 else
-    echo "s/@${PKG_GEN}@/${PKG_GEN}*/g"
-    echo "*** ${PKG_GEN} is missing ***" >&2
-    grep -e "^Package:" packages.txt |\
-    sed -e "s/Package: //" |\
+  echo "s/@${PKG_GEN}@/${PKG_GEN}*/g"
+  echo "*** ${PKG_GEN} is missing ***" >&2
+  grep -e "^Package:" packages.txt |
+    sed -e "s/Package: //" |
     grep -e "^${PKG_GEN}[-\.0-9]*[0-9]\$" <&2
 fi
diff -pruN 2.121/bin/interwiki 2.122/bin/interwiki
--- 2.121/bin/interwiki	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/interwiki	2024-04-10 23:08:27.000000000 +0000
@@ -1,7 +1,7 @@
 #!/bin/sh
-# 
+#
 # interwiki LANGUAGE [MODE]
-# 
+#
 # LANGUAGE = ja, fr, es, ...
 # MODE     = PRINT, NO
 #   PRINT means to print English URL if translation does not exist.
@@ -9,23 +9,22 @@
 #
 LANGAGE=$1
 MODE=$2
-while read X ; do
-# normal translation
-	Y=$(wget -O - $X 2>/dev/null |sed -n "s/^.*interwiki-${LANGAGE}\"><a href=\"\(.*\)\".*$/\1/p" | sed 's/%/\\x/')
-# just translate funky UTF-8 URLs
-	#Y=$(wget -O - $X 2>/dev/null |sed -n "s/^.*interwiki-${LANGAGE}\"><a href=\"\(.*\)\".*$/\1/p" | sed -n 's/%/\\x/g')
-	if [ -n "$Y" ]; then 
-		echo "# ----------------- translated"
-		echo "msgid \"$X\""
-		/usr/bin/printf '%b\n' "msgstr \"$Y\""
-		echo ""
-		echo "--- $X: translated." 1>&2
-	elif [ "$MODE" = "PRINT" ]; then 
-		echo "# ################# no-translaton"
-		echo "msgid \"$X\""
-		echo "msgstr \"$X\""
-		echo ""
-		echo "### $X: no-translaton." 1>&2
-	fi
+while read -r X; do
+  # normal translation
+  Y=$(wget -O - "$X" 2>/dev/null | sed -n "s/^.*interwiki-${LANGAGE}\"><a href=\"\(.*\)\".*$/\1/p" | sed 's/%/\\x/')
+  # just translate funky UTF-8 URLs
+  #Y=$(wget -O - $X 2>/dev/null |sed -n "s/^.*interwiki-${LANGAGE}\"><a href=\"\(.*\)\".*$/\1/p" | sed -n 's/%/\\x/g')
+  if [ -n "$Y" ]; then
+    echo "# ----------------- translated"
+    echo "msgid \"$X\""
+    /usr/bin/printf '%b\n' "msgstr \"$Y\""
+    echo ""
+    echo "--- $X: translated." 1>&2
+  elif [ "$MODE" = "PRINT" ]; then
+    echo "# ################# no-translaton"
+    echo "msgid \"$X\""
+    echo "msgstr \"$X\""
+    echo ""
+    echo "### $X: no-translaton." 1>&2
+  fi
 done
-
diff -pruN 2.121/bin/merge-po-files 2.122/bin/merge-po-files
--- 2.121/bin/merge-po-files	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/merge-po-files	2024-04-10 23:08:27.000000000 +0000
@@ -50,103 +50,90 @@ OUTPUT="$LOCAL"
 # use names like "local" and "other" instead of e.g. "local.G2wZ.po".
 TEMP="$(mktemp -d /tmp/merge-po.XXXXXX)"
 
-
 # abort on any error and report the details if possible
 set -E
 set -e
-on_error()
-{
-    local parent_lineno="$1"
-    local message="$3"
-    local code="$2"
-    if [[ -n "$message" ]] ; then
-        printf "### $0: error near line %d: status %d: %s\n" "${parent_lineno}" "${code}" "${message}" 1>&2
-    else
-        printf "### $0: error near line %d: status %d\n" "${parent_lineno}" "${code}" 1>&2
-    fi
-    exit 255
+on_error() {
+  local parent_lineno="$1"
+  local message="$3"
+  local code="$2"
+  if [[ -n $message ]]; then
+    printf "### $0: error near line %d: status %d: %s\n" "${parent_lineno}" "${code}" "${message}" 1>&2
+  else
+    printf "### $0: error near line %d: status %d\n" "${parent_lineno}" "${code}" 1>&2
+  fi
+  exit 255
 }
 trap 'on_error ${LINENO} $?' ERR
 
-
 # Maybe print message(s) to stdout with timestamps
-function status()
-{
-    if test "$VERBOSITY" -ge 3
-    then
-        printf "%s %s\n" "$(date '+%Y-%m-%d %H:%M:%S.%3N')" "$@"
-    fi
+function status() {
+  if test "$VERBOSITY" -ge 3; then
+    printf "%s %s\n" "$(date '+%Y-%m-%d %H:%M:%S.%3N')" "$@"
+  fi
 }
 
 # Quietly take translations from $1 and apply those according to template $2
 # (and do not use fuzzy-matching, always generate output)
 # also supports all flags to msgmerge
-function apply_po_template()
-{
-    msgmerge --force-po --quiet --no-fuzzy-matching "$@"
+function apply_po_template() {
+  msgmerge --force-po --quiet --no-fuzzy-matching "$@"
 }
 
 # Take stdin, remove the "graveyard strings" and emit the result to stdout
-function strip_graveyard()
-{
-    msgattrib --no-obsolete
+function strip_graveyard() {
+  msgattrib --no-obsolete
 }
 
 # Take stdin, keep only confict lines and emit the result to stdout
-function only_conflicts()
-{
-    msggrep --msgstr -F -e '#-#-#-#-#' -
-    # alternative slightly worse implementation: msgattrib --only-fuzzy
+function only_conflicts() {
+  msggrep --msgstr -F -e '#-#-#-#-#' -
+  # alternative slightly worse implementation: msgattrib --only-fuzzy
 }
 
 # Take stdin, discard confict lines and emit the result to stdout
-function without_conflicts()
-{
-    msggrep -v --msgstr -F -e '#-#-#-#-#' -
-    # alternative slightly worse implementation: msgattrib --no-fuzzy
+function without_conflicts() {
+  msggrep -v --msgstr -F -e '#-#-#-#-#' -
+  # alternative slightly worse implementation: msgattrib --no-fuzzy
 }
 
 # Select messages from $1 that are also in $2 but whose contents have changed
 # and emit results to stdout
-function extract_changes()
-{
-    # Extract conflicting changes and discard any changes to graveyard area only
-    msgcat -o - "$1" "$2" \
-    | only_conflicts \
-    | apply_po_template -o - "$1" - \
-    | strip_graveyard
+function extract_changes() {
+  # Extract conflicting changes and discard any changes to graveyard area only
+  msgcat -o - "$1" "$2" |
+    only_conflicts |
+    apply_po_template -o - "$1" - |
+    strip_graveyard
 }
 
 # Emit only the header of $1, supports flags of msggrep
-function extract_header()
-{
-    # Unfortunately gettext really doesn't support extracting just header
-    # so we have to get creative: extract only strings that originate
-    # from file called "//" which should result to header only
-     msggrep --force-po -N // "$@"
-
-    # Logically msggrep --force-po -v -K -E -e '.' should return the header
-    # only but msggrep seems be buggy with msgids with line feeds and output
-    # those, too
+function extract_header() {
+  # Unfortunately gettext really doesn't support extracting just header
+  # so we have to get creative: extract only strings that originate
+  # from file called "//" which should result to header only
+  msggrep --force-po -N // "$@"
+
+  # Logically msggrep --force-po -v -K -E -e '.' should return the header
+  # only but msggrep seems be buggy with msgids with line feeds and output
+  # those, too
 }
 
 # Take file in $1 and show conflicts with colors in the file to stdout
-function show_conflicts()
-{
-    OUTPUT="$1"
-    shift
-    # Count number of lines to remove from the output and output conflict lines without the header
-    CONFLICT_HEADER_LINES=$(cat "$OUTPUT" | msggrep --force-po --color=never --msgstr -F -e '#-#-#-#-#' - | extract_header - | wc -l)
-    # tail wants line number of the first displayed line so we want +1 here:
-    CONFLICTS=$(cat "$OUTPUT" | msggrep --force-po --color --msgstr -F -e '#-#-#-#-#' - | tail -n "+$((CONFLICT_HEADER_LINES+1))")
-    if test -n "$CONFLICTS"
-    then
-        #echo "----------------------------"
-        #echo "Conflicts after merge:"
-        echo "----------------------------"
-        printf "%s\n" "$CONFLICTS"
-        echo "----------------------------"
-    fi
+function show_conflicts() {
+  OUTPUT="$1"
+  shift
+  # Count number of lines to remove from the output and output conflict lines without the header
+  CONFLICT_HEADER_LINES=$(cat "$OUTPUT" | msggrep --force-po --color=never --msgstr -F -e '#-#-#-#-#' - | extract_header - | wc -l)
+  # tail wants line number of the first displayed line so we want +1 here:
+  CONFLICTS=$(cat "$OUTPUT" | msggrep --force-po --color --msgstr -F -e '#-#-#-#-#' - | tail -n "+$((CONFLICT_HEADER_LINES + 1))")
+  if test -n "$CONFLICTS"; then
+    #echo "----------------------------"
+    #echo "Conflicts after merge:"
+    echo "----------------------------"
+    printf "%s\n" "$CONFLICTS"
+    echo "----------------------------"
+  fi
 }
 
 # Sanity check that we have a sensible temporary directory
@@ -154,9 +141,8 @@ test -n "$TEMP" || exit 125
 test -d "$TEMP" || exit 126
 test -w "$TEMP" || exit 127
 
-if test "$VERBOSITY" -ge 1
-then
-    printf "Using gettext .PO merge driver: %s ...\n" "$FILENAME"
+if test "$VERBOSITY" -ge 1; then
+  printf "Using gettext .PO merge driver: %s ...\n" "$FILENAME"
 fi
 
 # Extract the PO header from the current branch (top of file until first empty line)
@@ -165,7 +151,6 @@ extract_header -o "${TEMP}/header" "$LOC
 ##########################################################################
 # Following parts can be run partially parallel and "wait" is used to syncronize processing
 
-
 # Clean input files and use logical filenames for possible conflict markers:
 status "Canonicalizing input files ..."
 msguniq --force-po -o "${TEMP}/base" --unique "${BASE}" &
@@ -174,18 +159,18 @@ msguniq --force-po -o "${TEMP}/other" --
 wait
 
 status "Computing local-changes, other-changes and unchanged ..."
-msgcat --force-po -o - "${TEMP}/base" "${TEMP}/local" "${TEMP}/other" | without_conflicts > "${TEMP}/unchanged" &
-extract_changes "${TEMP}/local" "${TEMP}/base" > "${TEMP}/local-changes" &
-extract_changes "${TEMP}/other" "${TEMP}/base" > "${TEMP}/other-changes" &
+msgcat --force-po -o - "${TEMP}/base" "${TEMP}/local" "${TEMP}/other" | without_conflicts >"${TEMP}/unchanged" &
+extract_changes "${TEMP}/local" "${TEMP}/base" >"${TEMP}/local-changes" &
+extract_changes "${TEMP}/other" "${TEMP}/base" >"${TEMP}/other-changes" &
 wait
 
 # Messages changed on both local and other (conflicts):
 status "Computing conflicts ..."
-msgcat --force-po -o - "${TEMP}/other-changes" "${TEMP}/local-changes" | only_conflicts > "${TEMP}/conflicts"
+msgcat --force-po -o - "${TEMP}/other-changes" "${TEMP}/local-changes" | only_conflicts >"${TEMP}/conflicts"
 
 # Messages changed on local, not on other; and vice-versa:
 status "Computing local-only and other-only changes ..."
-msgcat --force-po -o "${TEMP}/local-only"  --unique "${TEMP}/local-changes"  "${TEMP}/conflicts" &
+msgcat --force-po -o "${TEMP}/local-only" --unique "${TEMP}/local-changes" "${TEMP}/conflicts" &
 msgcat --force-po -o "${TEMP}/other-only" --unique "${TEMP}/other-changes" "${TEMP}/conflicts" &
 wait
 
@@ -215,21 +200,18 @@ rmdir "${TEMP}"
 status "Checking for conflicts in the result ..."
 
 # Check for conflicts in the final merge
-if grep -q '#-#-#-#-#' "$OUTPUT"
-then
-    if test "$VERBOSITY" -ge 1
-    then
-        printf "### Conflict(s) detected ###\n"
-    fi
-
-    if test "$VERBOSITY" -ge 2
-    then
-        # Verbose diagnostics
-        show_conflicts "$OUTPUT"
-    fi
+if grep -q '#-#-#-#-#' "$OUTPUT"; then
+  if test "$VERBOSITY" -ge 1; then
+    printf "### Conflict(s) detected ###\n"
+  fi
+
+  if test "$VERBOSITY" -ge 2; then
+    # Verbose diagnostics
+    show_conflicts "$OUTPUT"
+  fi
 
-    status "Automatic merge failed, exiting with status 1."
-    exit 1
+  status "Automatic merge failed, exiting with status 1."
+  exit 1
 fi
 
 status "Automatic merge completed successfully, exiting with status 0."
diff -pruN 2.121/bin/msgmsguniq 2.122/bin/msgmsguniq
--- 2.121/bin/msgmsguniq	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/msgmsguniq	2024-04-10 23:08:27.000000000 +0000
@@ -1,14 +1,14 @@
 #! /bin/sh -e
-# vim: set sw=4 sts=4 expandtab:
+# vim: set sw=2 expandtab:
 # simple script to merge 2 or more PO files
 {
-    msgcat --no-wrap "$1"
-    while true; do
-        shift
-        if [ -z "$1" ]; then
-            break
-        else
-            msgcat --no-wrap "$1" |sed -n -e '/^msgid "[^"]/,$p'
-        fi
-    done
+  msgcat --no-wrap "$1"
+  while true; do
+    shift
+    if [ -z "$1" ]; then
+      break
+    else
+      msgcat --no-wrap "$1" | sed -n -e '/^msgid "[^"]/,$p'
+    fi
+  done
 } | msguniq --use-first
diff -pruN 2.121/bin/noobsoletepo 2.122/bin/noobsoletepo
--- 2.121/bin/noobsoletepo	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/noobsoletepo	2024-04-10 23:08:27.000000000 +0000
@@ -1,6 +1,5 @@
 #! /bin/sh -e
-# vim: set sts=4 expandtab:
+# vim: set sw=2 expandtab:
 # remove obsolete
 mv "$1" "$1.orig"
-msgattrib --no-obsolete  -o "$1" "$1.orig"
-
+msgattrib --no-obsolete -o "$1" "$1.orig"
diff -pruN 2.121/bin/po4a1 2.122/bin/po4a1
--- 2.121/bin/po4a1	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/po4a1	2024-04-10 23:08:27.000000000 +0000
@@ -8,7 +8,7 @@
 # List of translation languges as arguments
 LANGPO="$*"
 # current debian-reference package verison in Debian
-DVERSION=`dpkg-parsechangelog -S Version`
+DVERSION=$(dpkg-parsechangelog -S Version)
 
 echo "I: build English source"
 make debian-reference.en.xml
@@ -17,9 +17,6 @@ make debian-reference.en.xmlt
 # since po/debian-reference.pot is commited to git repo, no need to do this any more.
 #touch -t 200001010000.00 po/debian-reference.pot
 # set up po4a.cfg for po
-sed -e "s/@LANGPO@/${LANGPO}/" -e "s/@DVERSION@/${DVERSION}/" po4a.cfg.in > po4a.cfg
+sed -e "s/@LANGPO@/${LANGPO}/" -e "s/@DVERSION@/${DVERSION}/" po4a.cfg.in >po4a.cfg
 echo "I: update po/*.po based on debian-reference.en.xmlt"
 po4a po4a.cfg
-
-
-
diff -pruN 2.121/bin/po4a2 2.122/bin/po4a2
--- 2.121/bin/po4a2	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/po4a2	2024-04-10 23:08:27.000000000 +0000
@@ -8,15 +8,13 @@
 # List of translation languges as arguments
 LANGPO="$*"
 # current debian-reference package verison in Debian
-DVERSION=`dpkg-parsechangelog -S Version`
+DVERSION=$(dpkg-parsechangelog -S Version)
 
 # set up po4a-tmp.cfg for po-tmp
 sed -e "s/@LANGPO@/${LANGPO}/" -e "s/@DVERSION@/${DVERSION}/" po4a-tmp.cfg.in \
-	> po4a-tmp.cfg
+  >po4a-tmp.cfg
 echo "I: create empty pot in po-tmp/ with sure-to-be-older timestamp"
 touch -t 200001010000.00 po-tmp/debian-reference.pot
 echo "I: update po-tmp/*.po data and build all translations based on debian-reference.en.xml"
 po4a po4a-tmp.cfg
 #rm -rf po-tmp
-
-
diff -pruN 2.121/bin/po4atmp 2.122/bin/po4atmp
--- 2.121/bin/po4atmp	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/po4atmp	2024-04-10 23:08:27.000000000 +0000
@@ -19,50 +19,48 @@ MSGCAT="/usr/bin/msgcat"
 # command to auto-translate between zh-cn <-> zh-tw
 OPENCC="/usr/bin/opencc"
 # current debian-reference package verison in Debian
-DVERSION=`dpkg-parsechangelog -S Version`
+DVERSION=$(dpkg-parsechangelog -S Version)
 
 # Generate PO for zh-cn (use zh-tw as extra fallback data source with help of opencc)
-gen_po_zh_CN () {
-    if [ -f ${OPENCC} ] ; then
-        rm -f ${DPOTMP}/zh-cn.po
-        ${MSGCAT} --no-wrap ${DPO}/zh-tw.po | ${OPENCC} -c ${DCC}/tw2sp.json -o ${DPO}/zh-cn.po-opencc
-        ${MSGCAT} -o ${DPOTMP}/zh-cn.po --use-first ${DPO}/zh-cn.po ${DPO}/zh-cn.po-opencc
-    fi
+gen_po_zh_CN() {
+  if [ -f ${OPENCC} ]; then
+    rm -f ${DPOTMP}/zh-cn.po
+    ${MSGCAT} --no-wrap ${DPO}/zh-tw.po | ${OPENCC} -c ${DCC}/tw2sp.json -o ${DPO}/zh-cn.po-opencc
+    ${MSGCAT} -o ${DPOTMP}/zh-cn.po --use-first ${DPO}/zh-cn.po ${DPO}/zh-cn.po-opencc
+  fi
 }
 
 # Generate PO for zh-tw (use zh-cn as extra fallback data source with help of opencc)
-gen_po_zh_TW () {
-    if [ -f ${OPENCC} ] ; then
-        rm -f ${DPOTMP}/zh-tw.po
-        ${MSGCAT} --no-wrap ${DPO}/zh-cn.po | ${OPENCC} -c ${DCC}/s2twp.json -o ${DPO}/zh-tw.po-opencc
-        ${MSGCAT} -o ${DPOTMP}/zh-tw.po --use-first ${DPO}/zh-tw.po ${DPO}/zh-tw.po-opencc
-    fi
+gen_po_zh_TW() {
+  if [ -f ${OPENCC} ]; then
+    rm -f ${DPOTMP}/zh-tw.po
+    ${MSGCAT} --no-wrap ${DPO}/zh-cn.po | ${OPENCC} -c ${DCC}/s2twp.json -o ${DPO}/zh-tw.po-opencc
+    ${MSGCAT} -o ${DPOTMP}/zh-tw.po --use-first ${DPO}/zh-tw.po ${DPO}/zh-tw.po-opencc
+  fi
 }
 
 # Generate PO for pt (use pt-br as extra fallback data source)
-gen_po_pt () {
-        rm -f ${DPOTMP}/pt.po
-        ${MSGCAT} -o ${DPOTMP}/pt.po --use-first ${DPO}/pt.po ${DPO}/pt-br.po
+gen_po_pt() {
+  rm -f ${DPOTMP}/pt.po
+  ${MSGCAT} -o ${DPOTMP}/pt.po --use-first ${DPO}/pt.po ${DPO}/pt-br.po
 }
 
 # Generate PO for pt-br (use pt as extra fallback data source)
-gen_po_pt_br () {
-        rm -f ${DPOTMP}/pt-br.po
-        ${MSGCAT} -o ${DPOTMP}/pt-br.po --use-first ${DPO}/pt-br.po ${DPO}/pt.po
+gen_po_pt_br() {
+  rm -f ${DPOTMP}/pt-br.po
+  ${MSGCAT} -o ${DPOTMP}/pt-br.po --use-first ${DPO}/pt-br.po ${DPO}/pt.po
 }
 
-
-
 echo "I: create po-tmp/* for debian-reference.en.xml"
 rm -rf po-tmp
 cp -r po po-tmp
-if echo ${LANGPO} | grep -q zh ; then
+if echo ${LANGPO} | grep -q zh; then
   echo "I: update po-tmp/zh-cn.po using opencc and po/zh-tw.po"
   gen_po_zh_CN &
   echo "I: update po-tmp/zh-tw.po using opencc and po/zh-cn.po"
   gen_po_zh_TW &
 fi
-if echo ${LANGPO} | grep -q pt ; then
+if echo ${LANGPO} | grep -q pt; then
   echo "I: update po-tmp/pt.po with po/pt-br.po as fall back"
   gen_po_pt &
   echo "I: update po-tmp/pt-br.po with po/pt.po as fall back"
@@ -72,4 +70,3 @@ fi
 echo "I: waiting for all updates to finish ..."
 wait
 echo "I: finished all updates"
-
diff -pruN 2.121/bin/pofuzzy1 2.122/bin/pofuzzy1
--- 2.121/bin/pofuzzy1	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/pofuzzy1	2024-04-10 23:08:27.000000000 +0000
@@ -1,18 +1,17 @@
 #! /bin/sh -e
-# vim: set sts=4 expandtab:
+# vim: set sw=2 expandtab:
 # $1: es.po fr.po pt.po zh-cn.po zh-cn.po-best ...
 #
 MSGATTR="msgattrib"
-MSGCAT="msgcat --no-wrap -"
 #
 for f in "$@"; do
-TOTAL="$(${MSGATTR} --no-obsolete  "po/$f" |grep ^msgid |sed 1d|wc -l)"
-UNTRANSLATED="$(${MSGATTR} --untranslated  "po/$f" |grep ^msgid |sed 1d|wc -l)"
-FUZZY="$(${MSGATTR} --fuzzy  "po/$f" |grep ^msgid |sed 1d|wc -l)"
-COMPLETED="$(( ( TOTAL - UNTRANSLATED - FUZZY ) * 100 / TOTAL ))"
-echo "$f  $TOTAL strings -- TOTAL msgstr to translate"
-echo "$f    $UNTRANSLATED strings -- EMPTY msgstr"
-echo "$f    $FUZZY strings -- FUZZY msgstr"
-echo "$f  $COMPLETED %       -- COMPLETED translation (must be more than 40%)"
-echo
+  TOTAL="$(${MSGATTR} --no-obsolete "po/$f" | grep ^msgid | sed 1d | wc -l)"
+  UNTRANSLATED="$(${MSGATTR} --untranslated "po/$f" | grep ^msgid | sed 1d | wc -l)"
+  FUZZY="$(${MSGATTR} --fuzzy "po/$f" | grep ^msgid | sed 1d | wc -l)"
+  COMPLETED="$(((TOTAL - UNTRANSLATED - FUZZY) * 100 / TOTAL))"
+  echo "$f  $TOTAL strings -- TOTAL msgstr to translate"
+  echo "$f    $UNTRANSLATED strings -- EMPTY msgstr"
+  echo "$f    $FUZZY strings -- FUZZY msgstr"
+  echo "$f  $COMPLETED %       -- COMPLETED translation (must be more than 40%)"
+  echo
 done
diff -pruN 2.121/bin/pofuzzy2 2.122/bin/pofuzzy2
--- 2.121/bin/pofuzzy2	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/pofuzzy2	2024-04-10 23:08:27.000000000 +0000
@@ -1,18 +1,17 @@
 #! /bin/sh -e
-# vim: set sts=4 expandtab:
+# vim: set sw=2 expandtab:
 # $1: es.po fr.po pt.po zh-cn.po zh-cn.po-best ...
 #
 MSGATTR="msgattrib"
-MSGCAT="msgcat --no-wrap -"
 #
 for f in "$@"; do
-TOTAL="$(${MSGATTR} --no-obsolete  "po-tmp/$f" |grep ^msgid |sed 1d|wc -l)"
-UNTRANSLATED="$(${MSGATTR} --untranslated  "po-tmp/$f" |grep ^msgid |sed 1d|wc -l)"
-FUZZY="$(${MSGATTR} --fuzzy  "po-tmp/$f" |grep ^msgid |sed 1d|wc -l)"
-COMPLETED="$(( ( TOTAL - UNTRANSLATED - FUZZY ) * 100 / TOTAL ))"
-echo "$f  $TOTAL strings -- TOTAL msgstr to translate"
-echo "$f    $UNTRANSLATED strings -- EMPTY msgstr"
-echo "$f    $FUZZY strings -- FUZZY msgstr"
-echo "$f  $COMPLETED %       -- COMPLETED translation (must be more than 40%)"
-echo
+  TOTAL="$(${MSGATTR} --no-obsolete "po-tmp/$f" | grep ^msgid | sed 1d | wc -l)"
+  UNTRANSLATED="$(${MSGATTR} --untranslated "po-tmp/$f" | grep ^msgid | sed 1d | wc -l)"
+  FUZZY="$(${MSGATTR} --fuzzy "po-tmp/$f" | grep ^msgid | sed 1d | wc -l)"
+  COMPLETED="$(((TOTAL - UNTRANSLATED - FUZZY) * 100 / TOTAL))"
+  echo "$f  $TOTAL strings -- TOTAL msgstr to translate"
+  echo "$f    $UNTRANSLATED strings -- EMPTY msgstr"
+  echo "$f    $FUZZY strings -- FUZZY msgstr"
+  echo "$f  $COMPLETED %       -- COMPLETED translation (must be more than 40%)"
+  echo
 done
diff -pruN 2.121/bin/popconent 2.122/bin/popconent
--- 2.121/bin/popconent	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/popconent	2024-04-10 23:08:27.000000000 +0000
@@ -6,40 +6,38 @@
 # You can redistribute it and/or modify it under the terms of
 # the GNU General Public License version 2 or later.
 #
-#
 set -e
 #set -x
 
-calcpercent()
-{
-# now 0.1% as 1 (70 vote or so)
-# Currently 0.014% is 10 vote
-if [ $1 = 0 ] || [ $2 = 0 ] || [ $# = 1 ]; then
-  echo 0
-else
-  echo $((1000*${1}/${2}))
-fi
+calcpercent() {
+  # now 0.1% as 1 (70 vote or so)
+  # Currently 0.014% is 10 vote
+  if [ "$1" = 0 ] || [ "$2" = 0 ] || [ "$#" = 1 ]; then
+    echo 0
+  else
+    echo $((1000 * ${1} / ${2}))
+  fi
 }
 
 submission=$1
 
-while read dummy package vote old new nofile
-  do
-    installed=$(( $vote + $old + $new + $nofile ))
-#    echo  "$package = V:$vote I:$installed"
-    entityname=pop-$(echo $package |tr "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789" "abcdefghijklmnopqrstuvwxyzabcdefghij"| \
-               tr -d " \!#\$%()=\-~^|\\/+*,.?;:@\`\"'&><")
-    if [ $installed -lt 1 ]; then
-      echo "<!ENTITY $entityname \"I:none\">"
-    elif [ $(($vote*10)) -gt $nofile ]; then
-      pvote=$(calcpercent $vote      $submission)
-      pinst=$(calcpercent $installed $submission)
-      echo "<!ENTITY $entityname \"V:$pvote, I:$pinst\">"
-    else
-      pinst=$(calcpercent $installed $submission)
-      echo "<!ENTITY $entityname \"I:$pinst\">"
-    fi
+while read -r _ package vote old new nofile; do
+  installed=$((vote + old + new + nofile))
+  #    echo  "$package = V:$vote I:$installed"
+  entityname=pop-$(echo "$package" |
+    tr "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789" "abcdefghijklmnopqrstuvwxyzabcdefghij" |
+    tr -d " \!#\$%()=\-~^|\\/+*,.?;:@\`\"'&><")
+  if [ $installed -lt 1 ]; then
+    echo "<!ENTITY $entityname \"I:none\">"
+  elif [ $((vote * 10)) -gt "$nofile" ]; then
+    pvote=$(calcpercent "$vote" "$submission")
+    pinst=$(calcpercent "$installed" "$submission")
+    echo "<!ENTITY $entityname \"V:$pvote, I:$pinst\">"
+  else
+    pinst=$(calcpercent "$installed" "$submission")
+    echo "<!ENTITY $entityname \"I:$pinst\">"
+  fi
 done
 #
 #
-# vim: set sts=2 ai expandtab:
+# vim: set sw=2 ai expandtab:
diff -pruN 2.121/bin/sedpoxml 2.122/bin/sedpoxml
--- 2.121/bin/sedpoxml	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/sedpoxml	2024-04-10 23:08:27.000000000 +0000
@@ -10,7 +10,7 @@ make nowrap
 #sed -i -e 's,sysv-rc/README.policy-rc.d,init-system-helpers/README.policy-rc.d,g'   rawxml/[019]*.rawxml po/*.po po/debian-reference.pot
 
 # change path to /etc/systemd/ with vi
-vi '+argdo %s,<literal>\/etc\/init\.d\/<\/literal>,<literal>\/etc\/systemd\/<\/literal>,gec | update' '+q'   rawxml/[019]*.rawxml po/*.po
+vi '+argdo %s,<literal>\/etc\/init\.d\/<\/literal>,<literal>\/etc\/systemd\/<\/literal>,gec | update' '+q' rawxml/[019]*.rawxml po/*.po
 make wrap
 
 # If changes to msgid side is needed for typo fix, consider to use some thing along: sed -i -e '/^msgid/s,...,...,g' po/*.po
diff -pruN 2.121/bin/sizeent 2.122/bin/sizeent
--- 2.121/bin/sizeent	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/sizeent	2024-04-10 23:08:27.000000000 +0000
@@ -14,32 +14,32 @@ packages=$1
 bkups=$2
 stablepackages=$3
 oldstablepackages=$4
-while read X ; do
+while read -r X; do
   #echo "process: $X" >&2
-  echo -n "." >&2
-  PKG=$(echo $X |tr "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789" "abcdefghijklmnopqrstuvwxyzabcdefghij"| \
-                 tr -d " \!#\$%()=\-~^|\\/+*,.?;:@\`\"'&><")
-  if SIZE=$(grep-dctrl -e -n --field=Package --show-field=Installed-Size  \
-                    --pattern="^$(echo $X|sed -e 's/\+/\\+/g')\$" $packages ) ; then
+  printf "%s" "." >&2
+  PKG=$(echo "$X" | tr "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789" "abcdefghijklmnopqrstuvwxyzabcdefghij" |
+    tr -d " \!#\$%()=\-~^|\\/+*,.?;:@\`\"'&><")
+  if SIZE=$(grep-dctrl -e -n --field=Package --show-field=Installed-Size \
+    --pattern="^$(echo "$X" | sed -e 's/\+/\\+/g')\$" "$packages"); then
     echo "<!ENTITY size-${PKG} \"${SIZE}\">"
-  elif SIZE=$(grep-dctrl -e -n --field=Package --show-field=Installed-Size  \
-                    --pattern="^$(echo $X|sed -e 's/\+/\\+/g')\$" $bkups ) ; then
+  elif SIZE=$(grep-dctrl -e -n --field=Package --show-field=Installed-Size \
+    --pattern="^$(echo "$X" | sed -e 's/\+/\\+/g')\$" "$bkups"); then
     echo "<!ENTITY size-${PKG} \"${SIZE}(*)\">"
-  elif SIZE=$(grep-dctrl -e -n --field=Package --show-field=Installed-Size  \
-                    --pattern="^$(echo $X|sed -e 's/\+/\\+/g')\$" $stablepackages ) ; then
+  elif SIZE=$(grep-dctrl -e -n --field=Package --show-field=Installed-Size \
+    --pattern="^$(echo "$X" | sed -e 's/\+/\\+/g')\$" "$stablepackages"); then
     echo "<!ENTITY size-${PKG} \"${SIZE}\">"
-  elif SIZE=$(grep-dctrl -e -n --field=Package --show-field=Installed-Size  \
-                    --pattern="^$(echo $X|sed -e 's/\+/\\+/g')\$" $oldstablepackages ) ; then
+  elif SIZE=$(grep-dctrl -e -n --field=Package --show-field=Installed-Size \
+    --pattern="^$(echo "$X" | sed -e 's/\+/\\+/g')\$" "$oldstablepackages"); then
     echo "<!ENTITY size-${PKG} \"${SIZE}\">"
   else
     echo "<!ENTITY size-${PKG} \"NOT_FOUND\">"
-    echo  "" >&2
-    echo  "... ERROR ...: $X, probably a removed or non-amd64 package." >&2
-    echo  ".............:         See https://tracker.debian.org/" >&2
+    echo "" >&2
+    echo "... ERROR ...: $X, probably a removed or non-amd64 package." >&2
+    echo ".............:         See https://tracker.debian.org/" >&2
   fi
 done
 
 echo $0 done >&2
 #
 #
-# vim: set sts=2 ai expandtab:
+# vim: set sw=2 ai expandtab:
diff -pruN 2.121/bin/weblate-po-merge 2.122/bin/weblate-po-merge
--- 2.121/bin/weblate-po-merge	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/weblate-po-merge	2024-04-10 23:08:27.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh -e
-# vim: set sw=4 sts=4 expandtab:
+# vim: set sw=2 expandtab:
 # simple script to merge weblate po files without creating tracking branch
 # See https://docs.weblate.org/en/latest/admin/continuous.html
 MAIN_BRANCH="latest"
diff -pruN 2.121/bin/weblate-po-merge_deprecated 2.122/bin/weblate-po-merge_deprecated
--- 2.121/bin/weblate-po-merge_deprecated	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/bin/weblate-po-merge_deprecated	2024-04-10 23:08:27.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh -e
-# vim: set sw=4 sts=4 expandtab:
+# vim: set sw=2 expandtab:
 # simple script to merge weblate po files
 
 git checkout weblate-latest
diff -pruN 2.121/debian/changelog 2.122/debian/changelog
--- 2.121/debian/changelog	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/debian/changelog	2024-04-10 23:08:27.000000000 +0000
@@ -1,3 +1,18 @@
+debian-reference (2.122) unstable; urgency=medium
+
+  [ Osamu Aoki ]
+  * update disk.img handling examples
+  * Simplify .vimrc example
+  * Reformat internal scripts: shfmt -s -w / black
+
+  [ eulalio ]
+  * Translated using Weblate (Spanish)
+
+  [ Andika Triwidada ]
+  * Translated using Weblate (Indonesian)
+
+ -- Osamu Aoki <osamu@debian.org>  Thu, 11 Apr 2024 08:08:27 +0900
+
 debian-reference (2.121) unstable; urgency=medium
 
   [ eulalio ]
diff -pruN 2.121/po/de.po 2.122/po/de.po
--- 2.121/po/de.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/de.po	2024-04-10 23:08:27.000000000 +0000
@@ -8,7 +8,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: debian-reference 2\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: 2022-04-17 00:12+0200\n"
 "Last-Translator: Holger Wansing <hwansing@mailbox.org>\n"
 "Language-Team: German <debian-l10n-german@lists.debian.org>\n"
@@ -38395,18 +38395,6 @@ msgstr ""
 "nutzen, die von <literal>kpartx</literal>(8) aus dem <literal>kpartx</"
 "literal>-Paket erzeugt werden:"
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-"Sie können auch eine einzelne Partition eines solchen Festplatten-Abbilds "
-"mit einem <ulink url=\"&loopdevice;\">loop device</ulink> einbinden, indem "
-"Sie ein Offset verwenden, um den <ulink url=\"&mbr;\">MBR</ulink> usw. zu "
-"überspringen. Dies ist allerdings fehleranfälliger."
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/debian-reference.pot 2.122/po/debian-reference.pot
--- 2.121/po/debian-reference.pot	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/debian-reference.pot	2024-04-10 23:08:27.000000000 +0000
@@ -6,8 +6,8 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: Debian Reference 2.120\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"Project-Id-Version: Debian Reference 2.122\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -30747,14 +30747,6 @@ msgid ""
 "follows."
 msgstr ""
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/es.po 2.122/po/es.po
--- 2.121/po/es.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/es.po	2024-04-10 23:08:27.000000000 +0000
@@ -6,8 +6,8 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: po 4a\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
-"PO-Revision-Date: 2024-03-31 11:18+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
+"PO-Revision-Date: 2024-04-09 18:01+0000\n"
 "Last-Translator: eulalio <eulalio@disroot.org>\n"
 "Language-Team: Spanish <kde-i18n-doc@kde.org>\n"
 "Language: es\n"
@@ -28949,8 +28949,7 @@ msgstr "<literal>/etc/ssh/ssh_config</li
 #: debian-reference.en.xmlt
 msgid "SSH client defaults, see <literal>ssh_config</literal>(5)"
 msgstr ""
-"Valores por defecto del cliente SSH, consulte <literal>ssh_config</"
-"literal>(5)"
+"Valores por defecto del cliente SSH, ver <literal>ssh_config</literal>(5)"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -28961,8 +28960,7 @@ msgstr "<literal>/etc/ssh/sshd_config</l
 #: debian-reference.en.xmlt
 msgid "SSH server defaults, see <literal>sshd_config</literal>(5)"
 msgstr ""
-"Valores por defecto del servidor SSH, consulte <literal>sshd_config</"
-"literal>(5)"
+"Valores por defecto del servidor SSH, ver <literal>sshd_config</literal>(5)"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -29089,7 +29087,7 @@ msgid ""
 msgstr ""
 "Incluso si utiliza un nombre de usuario distinto en el equipo local y "
 "remoto, puede eliminarlo usando «<literal>~/.ssh/config</literal>».  Para el "
-"<ulink url=\"&debiansalsaservice;\">servicio Debian Alioth</ulink> con el "
+"<ulink url=\"&debiansalsaservice;\">servicio Debian Salsa</ulink> con el "
 "nombre de la cuenta «<literal>foo-guest</literal>», haga que «<literal>~/."
 "ssh/config</literal>» contenga lo siguiente."
 
@@ -29105,7 +29103,7 @@ msgid ""
 "\"<literal>PubkeyAuthentication</literal>\" (SSH-2 protocol)."
 msgstr ""
 "Se puede evitar recordar las contraseñas del sistema remoto usando "
-"«<literal>RSAAuthentication</literal>»  (protocolo SSH-2)."
+"«<literal>PubkeyAuthentication</literal>»  (protocolo SSH-2)."
 
 #. type: Content of: <book><chapter><section><section><para>
 #: debian-reference.en.xmlt
@@ -29218,9 +29216,9 @@ msgid ""
 "phrase.  If a pass phrase was not set, use \"<literal>ssh-keygen -p</"
 "literal>\" to set it."
 msgstr ""
-"Es seguro proteger su clave pública de acreditación con una frase de paso. "
-"Si no se ha asignado una frase de paso, utilice «<literal>ssh-keygen -p</"
-"literal>» para asignarla."
+"Es seguro proteger su clave pública de acreditación con una contraseña. Si "
+"no se ha asignado una contraseña, utilice «<literal>ssh-keygen -p</literal>» "
+"para asignarla."
 
 #. type: Content of: <book><chapter><section><section><para>
 #: debian-reference.en.xmlt
@@ -29237,7 +29235,7 @@ msgstr ""
 #. type: Content of: <book><chapter><section><section><para>
 #: debian-reference.en.xmlt
 msgid "No remote password needed from here on for the next command."
-msgstr "No se necesita contraseña remota desde aquí para el próximo orden."
+msgstr "No se necesita contraseña remota desde aquí para la próxima orden."
 
 #. type: Content of: <book><chapter><section><section><para>
 #: debian-reference.en.xmlt
@@ -29253,7 +29251,7 @@ msgid ""
 "literal>(1) and <literal>ssh-add</literal>(1)."
 msgstr ""
 "Para el servidor X, el archivo de órdenes de inicio de Debian ejecuta el "
-"<literal>agente ssh</literal> como el proceso padre.  Así solo necesita "
+"<literal>ssh-agent</literal> como el proceso padre.  Así solo necesita "
 "ejecutar <literal>ssh-add</literal> una vez. Para mayor información , lea "
 "<literal>ssh-agent</literal>(1) y <literal>ssh-add</literal>(1)."
 
@@ -29277,7 +29275,7 @@ msgstr ""
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Port forwarding for SMTP/POP3 tunneling"
-msgstr "Puerto de reenvio para túnel SMTP/POP3"
+msgstr "Puerto de reenvío para túnel SMTP/POP3"
 
 #. type: Content of: <book><chapter><section><section><para>
 #: debian-reference.en.xmlt
@@ -29288,9 +29286,9 @@ msgid ""
 "literal> through <literal>ssh</literal>, execute on the local host as the "
 "following."
 msgstr ""
-"Para crear un tubería que conecte al puerto 25 del  <literal>servidor "
-"remoto</literal> desde el puerto 4025 del <literal>equipo local</literal> y "
-"al puerto 110 de <literal>servidor remoto</literal> desde el puerto 4110 del "
+"Para crear un tubería que conecte al puerto 25 del <literal>servidor remoto</"
+"literal> desde el puerto 4025 del <literal>equipo local</literal> y al "
+"puerto 110 de <literal>servidor remoto</literal> desde el puerto 4110 del "
 "<literal>equipo local</literal> a través de <literal>ssh</literal>, ejecute "
 "en el equipo local lo que sigue."
 
@@ -29321,9 +29319,9 @@ msgid ""
 "linkend=\"_scheduling_tasks_once\"/>) by the following."
 msgstr ""
 "Se necesita proteger el proceso que ejecuta «<literal>shutdown -h now</"
-"literal>» (consulte <xref linkend=\"_how_to_shutdown_the_system\"/>) de la "
-"finalización de ssh utilizando la orden <literal>at</literal>(1) (consulte "
-"<xref linkend=\"_scheduling_tasks_once\"/>) como se muestra."
+"literal>» (ver <xref linkend=\"_how_to_shutdown_the_system\"/>) de la "
+"finalización de ssh utilizando la orden <literal>at</literal>(1) (ver <xref "
+"linkend=\"_scheduling_tasks_once\"/>) como sigue."
 
 #. type: Content of: <book><chapter><section><section><para>
 #: debian-reference.en.xmlt
@@ -29333,8 +29331,8 @@ msgid ""
 "way to do the same."
 msgstr ""
 "Otra forma de obtener el mismo resultado es ejecutar «<literal>shutdown -h "
-"now</literal>» en una sesión de  <literal>screen</literal>(1) (consulte "
-"<xref linkend=\"_the_screen_program\"/>)."
+"now</literal>» en una sesión de <literal>screen</literal>(1) (ver <xref "
+"linkend=\"_the_screen_program\"/>)."
 
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
@@ -29372,9 +29370,9 @@ msgid ""
 "\"<literal>host_key</literal>\" entry from \"<literal>~/.ssh/known_hosts</"
 "literal>\" on the local host."
 msgstr ""
-"Si las conexiones <literal>ssh</literal> a un sitio remoto de reprente deja "
-"de funcionar, puede ser que tenga que ser solucionado por el administrador "
-"de sistemas, comunmente un cambio de la «<literal>clave_de_equipo</literal>» "
+"Si las conexiones <literal>ssh</literal> a un sitio remoto de repente deja "
+"de funcionar, puede ser que lo tenga que solucionar el administrador de "
+"sistemas, normalmente un cambio de la «<literal>clave_de_equipo</literal>» "
 "durante el mantenimiento del sistema. Tras estar seguro de que nadie intenta "
 "suplantar al equipo remoto de algún modo inteligente, uno puede recuperar la "
 "conexión eliminando la entrada «<literal>clave_de_equipo</literal>» en "
@@ -29400,7 +29398,7 @@ msgstr ""
 "de impresión estándar del software libre clásico era <ulink "
 "url=\"&postscriptps;\">PostScript (PS)</ulink>.  Se utilizó algún sistema de "
 "filtro junto con <ulink url=\"&ghostscript;\">Ghostscript</ulink> para "
-"permitir la impresión en la impresora no PostScript.  Véase <xref "
+"permitir la impresión en la impresora no PostScript.  Ver <xref "
 "linkend=\"_ghostscript\"/>."
 
 #. type: Content of: <book><chapter><section><para>
@@ -29660,8 +29658,8 @@ msgid ""
 "See <xref linkend=\"_the_modern_centralized_system_management\"/> for "
 "integration of server systems."
 msgstr ""
-"Consulte <xref linkend=\"_the_modern_centralized_system_management\"/> para "
-"la integración de los servidores de sistema."
+"Ver <xref linkend=\"_the_modern_centralized_system_management\"/> para la "
+"integración de los servidores de sistema."
 
 #. type: Content of: <book><chapter><section><tip><para>
 #: debian-reference.en.xmlt
@@ -29676,9 +29674,9 @@ msgstr ""
 "La resolución del nombre del equipo normalmente se realiza por medio del "
 "servidor de  <ulink url=\"&dns;\">DNS</ulink>. Para las direcciones IP del "
 "equipo asignadas de forma dinámica por <ulink url=\"&dhcp;\">DHCP</ulink>, "
-"un <ulink url=\"&dynamicdns;\">DNS Dinámico</ulink> puede ser configurado "
-"para la resolución de nombres utilizando <literal>bind9</literal> y "
-"<literal>isc-dhcp-server</literal> como se describe en la<ulink "
+"un <ulink url=\"&dynamicdns;\">DNS Dinámico</ulink> se puede configurar para "
+"la resolución de nombres utilizando <literal>bind9</literal> y <literal>isc-"
+"dhcp-server</literal> como se describe en la<ulink "
 "url=\"&ddnspageonthedebianwiki;\">página wiki de Debian sobre DDNS</ulink>."
 
 #. type: Content of: <book><chapter><section><tip><para>
@@ -30074,7 +30072,7 @@ msgstr "Mueve el cursor a \"Tareas\" y p
 #. type: Content of: <book><chapter><section><tip><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
 msgid "Move cursor to \"End-user\" press \"Enter\"."
-msgstr "Muevae el cursor a \"Usuario final\" y presiona \"Enter\"."
+msgstr "Mueva el cursor a \"Usuario final\" y presiona \"Enter\"."
 
 #. type: Content of: <book><chapter><section><tip><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
@@ -30160,7 +30158,7 @@ msgid ""
 "ulink> (via <literal>xwayland</literal>)"
 msgstr ""
 "<ulink url=\"&xwindowsystemcoreprotocol;\">Protocolo del núcleo del sistema "
-"X Window</ulink> (via <literal>xwayland</literal>)"
+"X Window</ulink> (vía <literal>xwayland</literal>)"
 
 #. type: Content of: <book><chapter><section><para>
 #: debian-reference.en.xmlt
@@ -30271,9 +30269,9 @@ msgid ""
 "and KDE applications still use X Window System core protocol."
 msgstr ""
 "A partir de abril de 2021, muchas aplicaciones GUI populares, como GNOME y "
-"<ulink url=\"&libreofficelo;\">LibreOffice (LO)</ulink>, se han migrado al "
+"<ulink url=\"&libreofficelo;\">LibreOffice (LO)</ulink>, han migrado al "
 "protocolo del servidor de visualización de Wayland.  Veo <literal>xterm</"
-"literal>, <literal>gitk</literal>, <literal>cromo</literal>, "
+"literal>, <literal>gitk</literal>, <literal>chromium</literal>, "
 "<literal>firefox</literal>, <literal>gimp</literal>, <literal> dia</"
 "literal>, y las aplicaciones de KDE aún utilizan el protocolo central del "
 "sistema X Window."
@@ -30295,10 +30293,9 @@ msgstr ""
 "conf</literal>\" no debería existir en el sistema. Los dispositivos gráficos "
 "y de entrada ahora están configurados por el kernel con <ulink url=\"&drm;"
 "\">DRM</ulink>, <ulink url=\"&kms;\">KMS</ulink> y <ulink url=\"&udev; "
-"\">udev</ulink>.  El servidor X nativo se ha reescrito para usarlos.  "
-"Consulte \"<ulink url=\"&modedbdefaultvideomodesupport;\">soporte de modo de "
-"video predeterminado de modedb</ulink>\" en la documentación del kernel de "
-"Linux."
+"\">udev</ulink>.  El servidor X nativo se ha reescrito para usarlos.  Ver "
+"\"<ulink url=\"&modedbdefaultvideomodesupport;\">soporte de modo de vídeo "
+"predeterminado de modedb</ulink>\" en la documentación del kernel de Linux."
 
 #. type: Content of: <book><chapter><section><title>
 #: debian-reference.en.xmlt
@@ -30354,7 +30351,7 @@ msgstr ""
 #. type: Content of: <book><chapter><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
 msgid "Advanced configuration settings for GNOME"
-msgstr "Ajustes avanzados de laconfiguración para GNOME"
+msgstr "Ajustes avanzados de la configuración para GNOME"
 
 #. type: Content of: <book><chapter><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -30385,7 +30382,7 @@ msgstr ""
 #: debian-reference.en.xmlt
 msgid "You can force \"Over-Amplification\" of sound volume from \"General\"."
 msgstr ""
-"Puede forzar la \"Sobreamplificación\" del volumen del sonido desde "
+"Puede forzar la \"Sobre amplificación\" del volumen del sonido desde "
 "\"General\"."
 
 #. type: Content of: <book><chapter><section><tip><itemizedlist><listitem><para>
@@ -30638,7 +30635,7 @@ msgid ""
 "Then you manually move all the data to the newer directories.  See "
 "<literal>xdg-user-dirs-update</literal>(1)."
 msgstr ""
-"Luego mueve manualmente todos los datos a los directorios más nuevos.  Véase "
+"Luego mueve manualmente todos los datos a los directorios más nuevos.  Ver "
 "<literal>xdg-user-dirs-update</literal>(1)."
 
 #. type: Content of: <book><chapter><section><para>
@@ -30648,7 +30645,7 @@ msgid ""
 "dirs</literal>\".  See <literal>user-dirs.dirs</literal>(5)."
 msgstr ""
 "También puede asignarles cualquier nombre editando \"<literal>~/.config/user-"
-"dirs.dirs</literal>\".  Véase <literal>user-dirs.dirs</literal>(5)."
+"dirs.dirs</literal>\".  Ver <literal>user-dirs.dirs</literal>(5)."
 
 #. type: Content of: <book><chapter><section><title>
 #: debian-reference.en.xmlt
@@ -37689,18 +37686,6 @@ msgstr ""
 "creados por  <literal>kpartx</literal>(8) del paquete <literal>kpartx</"
 "literal> como se muestra."
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-"Puede montar una única partición como imagen del disco con <ulink "
-"url=\"&loopdevice;\">dispositivos «loop«</ulink> utilizando el "
-"desplazamiento para evitar el <ulink url=\"&mbr;\">MBR</ulink> etc., "
-"también. Pero es más propenso a errores."
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/fr.po 2.122/po/fr.po
--- 2.121/po/fr.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/fr.po	2024-04-10 23:08:27.000000000 +0000
@@ -7,7 +7,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Debian Reference 2\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: 2024-03-21 16:01+0000\n"
 "Last-Translator: Guillonneau Jean-Paul <guillonneau.jeanpaul@free.fr>\n"
 "Language-Team: French <https://hosted.weblate.org/projects/debian-reference/"
@@ -38858,18 +38858,6 @@ msgstr ""
 "<literal>kpartx</literal>(8) du paquet <literal>kpartx</literal> de la "
 "manière suivante&nbsp;:"
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-"Vous pouvez monter une partition unique d’une telle image de disque avec le "
-"<ulink url=\"&loopdevice;\">périphérique de rebouclage</ulink> en utilisant "
-"un décalage pour sauter le <ulink url=\"&mbr;\">MBR</ulink> ou autre. Mais "
-"c’est susceptible d’induire des erreurs."
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/id.po 2.122/po/id.po
--- 2.121/po/id.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/id.po	2024-04-10 23:08:27.000000000 +0000
@@ -5,8 +5,8 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Debian Reference 2\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
-"PO-Revision-Date: 2024-03-15 06:30+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
+"PO-Revision-Date: 2024-04-10 22:54+0000\n"
 "Last-Translator: Andika Triwidada <andika@gmail.com>\n"
 "Language-Team: Indonesia\n"
 "Language: id\n"
@@ -5637,36 +5637,27 @@ msgstr ""
 
 #. type: Content of: <book><chapter><section><section><itemizedlist><listitem><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid ""
-#| "<literal>Esc</literal> + <literal>n-key</literal> → <literal>Fn</literal> "
-#| "(i.e., <literal>Esc</literal> + <literal>1</literal> → <literal>F1</"
-#| "literal>, etc.; <literal>Esc</literal> + <literal>0</literal> → "
-#| "<literal>F10</literal>)"
 msgid ""
 "Execute \"<literal>sudo vigr</literal>\" for <literal>/etc/group</literal> "
 "and \"<literal>sudo vigr -s</literal>\" for <literal>/etc/gshadow</literal> "
 "to append <literal>penguin</literal> in the line for <literal>bird</literal>."
 msgstr ""
-"<literal>Esc</literal> + <literal>n-key</literal> → <literal>Fn</literal> "
-"(yaitu, <literal>Esc</literal> + <literal>1</literal> → <literal>F1</"
-"literal>, dll.; <literal>Esc</literal> + <literal>0</literal> → "
-"<literal>F10</literal>)"
+"Jalankan \"<literal>sudo vigr</literal>\" bagi <literal>/etc/group</literal> "
+"dan \"<literal>sudo vigr -s</literal>\" bagi <literal>/etc/gshadow</literal> "
+"untuk mengimbuhkan <literal>penguin</literal> dalam baris bagi "
+"<literal>bird</literal>."
 
 #. type: Content of: <book><chapter><section><section><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "You can test mail address configuration using the following."
 msgid "Apply configuration using one of following:"
-msgstr ""
-"Anda dapat menguji konfigurasi alamat surat menggunakan yang berikut ini."
+msgstr "Terapkan konfigurasi menggunakan salah satu yang berikut:"
 
 #. type: Content of: <book><chapter><section><section><itemizedlist><listitem><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "Command line options"
 msgid "Cold reboot and login. (Best option)"
-msgstr "Opsi baris perintah"
+msgstr ""
+"Boot ulang cold (matikan daya lalu nyalakan lagi) dan log masuk. (Pilihan "
+"terbaik)"
 
 #. type: Content of: <book><chapter><section><section><itemizedlist><listitem><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
@@ -5674,30 +5665,28 @@ msgid ""
 "Execute \"<literal>kill -TERM -1</literal>\" and do some fix-up actions such "
 "as \"<literal>systemctl restart NetworkManager.service</literal>\"."
 msgstr ""
+"Jalankan \"<literal>kill -TERM -1</literal>\" dan lakukan beberapa tindakan "
+"perbaikan seperti \"<literal>systemctl restart NetworkManager.service</"
+"literal>\"."
 
 #. type: Content of: <book><chapter><section><section><itemizedlist><listitem><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
 msgid "Logout via GUI menu and login."
-msgstr ""
+msgstr "Log keluar melalui menu GUI dan log masuk."
 
 #. type: Content of: <book><chapter><section><section><para>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid ""
-#| "You start <literal>screen</literal> as \"<literal>screen -r</literal>\"."
 msgid ""
 "You can remove a user <literal>penguin</literal> from a group <literal>bird</"
 "literal> in two steps:"
 msgstr ""
-"Anda memulai <literal>screen</literal> sebagai \"<literal>screen -r</"
-"literal>\"."
+"Anda dapat menghapus pengguna <literal>penguin</literal> dari grup "
+"<literal>bird</literal> dalam dua langkah:"
 
 #. type: Content of: <book><chapter><section><section><itemizedlist><listitem><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "Run \"<literal>systemctl reload exim4</literal>\"."
 msgid "Execute \"<literal>sudo usermod -rG bird penguin</literal>\"."
-msgstr "Jalankan \"<literal>systemctl reload exim4</literal>\"."
+msgstr "Jalankan \"<literal>sudo usermod -rG bird penguin</literal>\"."
 
 #. type: Content of: <book><chapter><section><section><itemizedlist><listitem><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
@@ -5705,29 +5694,25 @@ msgid ""
 "Execute \"<literal>sudo deluser penguin bird</literal>\". (only on typical "
 "Debian systems)"
 msgstr ""
+"Jalankan \"<literal>sudo deluser penguin bird</literal>\". (hanya pada "
+"sistem Debian umum)"
 
 #. type: Content of: <book><chapter><section><section><itemizedlist><listitem><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid ""
-#| "<literal>Esc</literal> + <literal>n-key</literal> → <literal>Fn</literal> "
-#| "(i.e., <literal>Esc</literal> + <literal>1</literal> → <literal>F1</"
-#| "literal>, etc.; <literal>Esc</literal> + <literal>0</literal> → "
-#| "<literal>F10</literal>)"
 msgid ""
 "Execute \"<literal>sudo vigr</literal>\" for <literal>/etc/group</literal> "
 "and \"<literal>sudo vigr -s</literal>\" for <literal>/etc/gshadow</literal> "
 "to remove <literal>penguin</literal> in the line for <literal>bird</literal>."
 msgstr ""
-"<literal>Esc</literal> + <literal>n-key</literal> → <literal>Fn</literal> "
-"(yaitu, <literal>Esc</literal> + <literal>1</literal> → <literal>F1</"
-"literal>, dll.; <literal>Esc</literal> + <literal>0</literal> → "
-"<literal>F10</literal>)"
+"Jalankan \"<literal>sudo vigr</literal>\" bagi <literal>/etc/group</literal> "
+"dan \"<literal>sudo vigr -s</literal>\" bagi <literal>/etc/gshadow</literal> "
+"untuk membuang <literal>penguin</literal> dalam baris bagi <literal>bird</"
+"literal>."
 
 #. type: Content of: <book><chapter><section><section><itemizedlist><listitem><itemizedlist><listitem><para>
 #: debian-reference.en.xmlt
 msgid "Logout via GUI menu is not an option for Gnome Desktop."
-msgstr ""
+msgstr "Log keluar melalui menu GUI bukanlah suatu opsi bagi Desktop Gnome."
 
 #. type: Content of: <book><chapter><section><section><para>
 #: debian-reference.en.xmlt
@@ -5735,6 +5720,8 @@ msgid ""
 "Any warm reboot attempts are fragile replacements of the real cold reboot "
 "under the modern desktop system."
 msgstr ""
+"Sebarang upaya boot ulang warm adalah pengganti yang rentan dari boot ulang "
+"cold di bawah sistem desktop modern."
 
 #. type: Content of: <book><chapter><section><section><note><para>
 #: debian-reference.en.xmlt
@@ -12697,24 +12684,18 @@ msgstr "URL arsip"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><thead><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "signal name"
 msgid "suite name"
-msgstr "nama sinyal"
+msgstr "nama keluarga"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><thead><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "code"
 msgid "codename"
-msgstr "kode"
+msgstr "nama kode"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><thead><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "usage of the directory"
 msgid "purpose of repository"
-msgstr "penggunaan direktori"
+msgstr "tujuan repositori"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -12725,17 +12706,13 @@ msgstr ""
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "<literal>staff</literal>"
 msgid "<literal>stable</literal>"
-msgstr "<literal>staff</literal>"
+msgstr "<literal>stable</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "codename = <literal>&codename-stable;</literal>"
 msgid "<literal>&codename-stable;</literal>"
-msgstr "codename = <literal>&codename-stable;</literal>"
+msgstr "<literal>&codename-stable;</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -12746,17 +12723,13 @@ msgstr "setelah rilis <literal>&codename
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "<literal>stdin</literal>"
 msgid "<literal>testing</literal>"
-msgstr "<literal>stdin</literal>"
+msgstr "<literal>testing</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "codename = <literal>&codename-testing;</literal>"
 msgid "<literal>&codename-testing;</literal>"
-msgstr "codename = <literal>&codename-testing;</literal>"
+msgstr "<literal>&codename-testing;</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -12769,17 +12742,13 @@ msgstr "<literal>tr</literal>(1) menerje
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "suite = <literal>unstable</literal>"
 msgid "<literal>unstable</literal>"
-msgstr "suite = <literal>unstable</literal>"
+msgstr "<literal>unstable</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "codename = <literal>&codename-stable;</literal>"
 msgid "<literal>&codename-unstable;</literal>"
-msgstr "codename = <literal>&codename-stable;</literal>"
+msgstr "<literal>&codename-unstable;</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -12803,17 +12772,13 @@ msgstr "pra-rilis eksperimental (opsiona
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "<literal>apt update</literal>"
 msgid "<literal>stable-proposed-updates</literal>"
-msgstr "<literal>apt update</literal>"
+msgstr "<literal>stable-proposed-updates</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "<literal>~A{&codename-stable;,&codename-testing;,sid</literal>}"
 msgid "<literal>&codename-stable;-proposed-updates</literal>"
-msgstr "<literal>~A{&codename-stable;,&codename-testing;,sid</literal>}"
+msgstr "<literal>&codename-stable;-proposed-updates</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -12826,17 +12791,13 @@ msgstr ""
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "<literal>apt update</literal>"
 msgid "<literal>stable-updates</literal>"
-msgstr "<literal>apt update</literal>"
+msgstr "<literal>stable-updates</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "codename = <literal>&codename-stable;</literal>"
 msgid "<literal>&codename-stable;-updates</literal>"
-msgstr "codename = <literal>&codename-stable;</literal>"
+msgstr "<literal>&codename-stable;-updates</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -12847,17 +12808,13 @@ msgstr ""
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "<literal>Installed Packages</literal>"
 msgid "<literal>stable-backports</literal>"
-msgstr "<literal>Paket Terpasang</literal>"
+msgstr "<literal>stable-backports</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "codename = <literal>&codename-stable;</literal>"
 msgid "<literal>&codename-stable;-backports</literal>"
-msgstr "codename = <literal>&codename-stable;</literal>"
+msgstr "<literal>&codename-stable;-backports</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -12877,17 +12834,13 @@ msgstr ""
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "<literal>/etc/securetty</literal>"
 msgid "<literal>stable-security</literal>"
-msgstr "<literal>/etc/securetty</literal>"
+msgstr "<literal>stable-security</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "codename = <literal>&codename-stable;</literal>"
 msgid "<literal>&codename-stable;-security</literal>"
-msgstr "codename = <literal>&codename-stable;</literal>"
+msgstr "<literal>&codename-stable;-security</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -12898,17 +12851,13 @@ msgstr "setelah rilis <literal>&codename
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "<literal>/etc/securetty</literal>"
 msgid "<literal>testing-security</literal>"
-msgstr "<literal>/etc/securetty</literal>"
+msgstr "<literal>testing-security</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
-#, fuzzy
-#| msgid "codename = <literal>&codename-testing;</literal>"
 msgid "<literal>&codename-testing;-security</literal>"
-msgstr "codename = <literal>&codename-testing;</literal>"
+msgstr "<literal>&codename-testing;-security</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -37331,18 +37280,6 @@ msgstr ""
 "<literal>kpartx</literal>(8) dari paket <literal>kpartx</literal> sebagai "
 "berikut."
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-"Anda juga dapat mengait partisi tunggal dari image disk tersebut dengan "
-"<ulink url=\"&loopdevice;\">perangkat loop</ulink> menggunakan ofset untuk "
-"melewatkan <ulink url=\"&mbr;\">MBR</ulink> dll.  Tapi ini lebih rawan "
-"kesalahan."
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/it.po 2.122/po/it.po
--- 2.121/po/it.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/it.po	2024-04-10 23:08:27.000000000 +0000
@@ -5,7 +5,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: Debian Reference 2\n"
 "Report-Msgid-Bugs-To: debian-l10n-italian@lists.debian.org\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: 2024-03-24 15:08+0100\n"
 "Last-Translator: Beatrice Torracca <beatricet@libero.it>\n"
 "Language-Team: Italian <debian-l10n-italian@lists.debian.org>\n"
@@ -18213,9 +18213,9 @@ msgid ""
 "emphasis>-<emphasis>debian.revision</emphasis>_<emphasis>architecture</"
 "emphasis>.deb</literal>"
 msgstr ""
-"<literal><emphasis>nome-pacchetto</emphasis>_&lt;versione-originale\n"
-"gt;-<emphasis>versione-debian</emphasis>_<emphasis>architettura</emphasis>."
-"deb</literal>"
+"<literal><emphasis>nome-pacchetto</emphasis>_<emphasis>versione-originale</"
+"emphasis>-<emphasis>versione-debian</emphasis>_<emphasis>architettura</"
+"emphasis>.deb</literal>"
 
 #. type: Content of: <book><chapter><section><section><table><tgroup><tbody><row><entry>
 #: debian-reference.en.xmlt
@@ -37660,18 +37660,6 @@ msgstr ""
 "literal>(8), contenuto nel pacchetto <literal>kpartx</literal>, nel modo "
 "seguente."
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-"È anche possibile montare una singola partizione di una tale immagine di "
-"disco con un <ulink url=\"&loopdevice;\">device loop</ulink> indicando un "
-"offset per saltare l'<ulink url=\"&mbr;\">MBR</ulink>, ecc., ma questo "
-"metodo è più esposto agli errori."
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/ja.po 2.122/po/ja.po
--- 2.121/po/ja.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/ja.po	2024-04-10 23:08:27.000000000 +0000
@@ -67,7 +67,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: Debian Reference 2\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: 2024-03-03 08:09+0000\n"
 "Last-Translator: Osamu Aoki <osamu@debian.org>\n"
 "Language-Team: Osamu Aoki <osamu@debian.org>\n"
@@ -36803,17 +36803,6 @@ msgstr ""
 "literal>(8) により作られる<ulink url=\"&devicemapper;\">デバイスマッパー</"
 "ulink>デバイスを用いて以下のようにして実現も出来ます。"
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-"<ulink url=\"&mbr;\">MBR</ulink> 等をスキップするオフセットを使った <ulink "
-"url=\"&loopdevice;\">loop デバイス</ulink>によっても、このようなディスクイ"
-"メージの単一パーティションをマウント出来ます。しかしこれは失敗しがちです。"
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/nb.po 2.122/po/nb.po
--- 2.121/po/nb.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/nb.po	2024-04-10 23:08:27.000000000 +0000
@@ -5,7 +5,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Debian Reference 2\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: 2024-03-28 06:27+0000\n"
 "Last-Translator: Allan Nordhøy <epost@anotheragency.no>\n"
 "Language-Team: Norwegian Bokmål <https://hosted.weblate.org/projects/debian-"
@@ -31205,14 +31205,6 @@ msgid ""
 "follows."
 msgstr ""
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/pt-br.po 2.122/po/pt-br.po
--- 2.121/po/pt-br.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/pt-br.po	2024-04-10 23:08:27.000000000 +0000
@@ -8,7 +8,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Debian Reference 2\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: 2024-01-22 22:17+0800\n"
 "Last-Translator: Claudio Filho F Filho <filhocf@gmail.com>\n"
 "Language-Team: Portuguese <>\n"
@@ -38397,17 +38397,6 @@ msgstr ""
 "<literal>kpartx</literal>(8) do pacote <literal>kpartx</literal> como a "
 "seguir."
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-"Também pode montar uma única partição de tal imagem de disco com o <ulink "
-"url=\"&loopdevice;\">aparelho loop</ulink> a usar um offset para saltar o "
-"<ulink url=\"&mbr;\">MBR</ulink> etc. Mas isto é mais inclinado a erros."
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/pt.po 2.122/po/pt.po
--- 2.121/po/pt.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/pt.po	2024-04-10 23:08:27.000000000 +0000
@@ -8,7 +8,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Debian Reference 2\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: 2021-11-28 16:30+0900\n"
 "Last-Translator: Claudio Filho F Filho <filhocf@gmail.com>\n"
 "Language-Team: Portuguese <>\n"
@@ -38448,17 +38448,6 @@ msgstr ""
 "<literal>kpartx</literal>(8) do pacote <literal>kpartx</literal> como a "
 "seguir."
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-"Também pode montar uma única partição de tal imagem de disco com o <ulink "
-"url=\"&loopdevice;\">aparelho loop</ulink> a usar um offset para saltar o "
-"<ulink url=\"&mbr;\">MBR</ulink> etc. Mas isto é mais inclinado a erros."
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/sv.po 2.122/po/sv.po
--- 2.121/po/sv.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/sv.po	2024-04-10 23:08:27.000000000 +0000
@@ -5,7 +5,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Debian Reference 2\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: 2024-01-18 01:21+0000\n"
 "Last-Translator: \"xiao sheng wen(肖盛文)\" <atzlinux@sina.com>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -32047,14 +32047,6 @@ msgid ""
 "follows."
 msgstr ""
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/zh-cn.po 2.122/po/zh-cn.po
--- 2.121/po/zh-cn.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/zh-cn.po	2024-04-10 23:08:27.000000000 +0000
@@ -31,7 +31,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: Debian Reference 2\n"
 "Report-Msgid-Bugs-To: debian-chinese-gb@list.debian.org\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: 2024-03-14 03:52+0000\n"
 "Last-Translator: \"xiao sheng wen(肖盛文)\" <atzlinux@sina.com>\n"
 "Language-Team: 汉语 <debian-chinese-gb@list.debian.org>\n"
@@ -35266,17 +35266,6 @@ msgstr ""
 "literal>(8) 建立 <ulink url=\"&devicemapper;\">设备映射</ulink>设备来达到相同"
 "的效果。"
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-"你也可以使用<ulink url=\"&loopdevice;\">循环设备</ulink>利用偏移量来跳过 "
-"<ulink url=\"&mbr;\">MBR</ulink> 等，来挂载此类磁盘映像的单个分区。但这更加容"
-"易出错。"
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/po/zh-tw.po 2.122/po/zh-tw.po
--- 2.121/po/zh-tw.po	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/po/zh-tw.po	2024-04-10 23:08:27.000000000 +0000
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: Debian Reference 2\n"
-"POT-Creation-Date: 2024-04-01 05:43+0000\n"
+"POT-Creation-Date: 2024-04-10 23:10+0000\n"
 "PO-Revision-Date: 2024-03-15 06:30+0000\n"
 "Last-Translator: SCC/楊志璿 <zxc25077667@gmail.com>\n"
 "Language-Team: Chinese (Traditional) <https://hosted.weblate.org/projects/"
@@ -35834,17 +35834,6 @@ msgstr ""
 "literal>(8) 建立 <ulink url=\"&devicemapper;\">裝置對映</ulink>裝置來達到相同"
 "的效果。"
 
-#. type: Content of: <book><chapter><section><section><note><para>
-#: debian-reference.en.xmlt
-msgid ""
-"You can mount a single partition of such disk image with <ulink "
-"url=\"&loopdevice;\">loop device</ulink> using offset to skip <ulink "
-"url=\"&mbr;\">MBR</ulink> etc., too.  But this is more error prone."
-msgstr ""
-"你也可以使用<ulink url=\"&loopdevice;\">迴圈裝置</ulink>利用偏移量來跳過 "
-"<ulink url=\"&mbr;\">MBR</ulink> 等，來掛載此類磁碟映像的單個分割槽。但這更加"
-"容易出錯。"
-
 #. type: Content of: <book><chapter><section><section><title>
 #: debian-reference.en.xmlt
 msgid "Cleaning a disk image file"
diff -pruN 2.121/rawxml/09_system_tips.rawxml 2.122/rawxml/09_system_tips.rawxml
--- 2.121/rawxml/09_system_tips.rawxml	2024-04-01 09:24:03.000000000 +0000
+++ 2.122/rawxml/09_system_tips.rawxml	2024-04-10 23:08:27.000000000 +0000
@@ -312,8 +312,8 @@ nnoremap N Nzz
 inoremap  jk        &lt;ESC&gt;
 """ double &lt;ESC&gt; to get out of TERM mode (CTRL-\ CTRL-N)
 tnoremap &lt;ESC&gt;&lt;ESC&gt; &lt;C-\&gt;&lt;C-N&gt;
-""" fast "jkjk" to get out of TERM mode (CTRL-\ CTRL-N)
-tnoremap jkjk &lt;C-\&gt;&lt;C-N&gt;
+""" fast "jk" to get out of TERM mode (CTRL-\ CTRL-N)
+tnoremap jk &lt;C-\&gt;&lt;C-N&gt;
 """
 """ *** nvim default mappings (no need for nvim) ***
 """ copy to EOL (no delete) like D for d
@@ -2123,8 +2123,8 @@ $ sudo rm -rf old-dir</screen>
       <section id="_mounting_the_disk_image_file">
         <title>Mounting the disk image file</title>
         <para>The disk image "<literal>partition.img</literal>" containing a single partition image can be mounted and unmounted by using the <ulink url="https://en.wikipedia.org/wiki/Loop_device">loop device</ulink> as follows.</para>
-        <screen># losetup -v -f partition.img
-Loop device is /dev/loop0
+        <screen># losetup --show -f partition.img
+/dev/loop0
 # mkdir -p /mnt/loop0
 # mount -t auto /dev/loop0 /mnt/loop0
 ...hack...hack...hack
@@ -2136,45 +2136,79 @@ Loop device is /dev/loop0
 ...hack...hack...hack
 # umount partition.img</screen>
         <!--
-        Post kernel version 3.2+ and util-linux 2.21+ support mounting multiple partitions. (After 2012-01).
+          Post kernel version 3.2+ and util-linux 2.21+ support mounting multiple partitions. (After 2012-01).
+          losetup and kpartx has changed behavior.  So script outputs are updated in 2024-04-03.
+          Disk image used below is the official cloud Debian image from https://cloud.debian.org/images/cloud/
         -->
         <para>Each partition of the disk image "<literal>disk.img</literal>" containing multiple partitions can be mounted by using the <ulink url="https://en.wikipedia.org/wiki/Loop_device">loop device</ulink>.</para>
         <screen># losetup --show -f -P disk.img
 /dev/loop0
 # ls -l /dev/loop0*
-brw-rw---- 1 root disk   7, 10 Apr  1 10:32 /dev/loop0
-brw-rw---- 1 root disk 259, 39 Apr  1 10:32 /dev/loop0p1
-brw-rw---- 1 root disk 259, 39 Apr  1 10:32 /dev/loop0p2
+brw-rw---- 1 root disk   7,  0 Apr  2 22:51 /dev/loop0
+brw-rw---- 1 root disk 259, 12 Apr  2 22:51 /dev/loop0p1
+brw-rw---- 1 root disk 259, 13 Apr  2 22:51 /dev/loop0p14
+brw-rw---- 1 root disk 259, 14 Apr  2 22:51 /dev/loop0p15
 # fdisk -l /dev/loop0
-Disk /dev/loop0: 5368 MB, 5368709120 bytes
-255 heads, 63 sectors/track, 652 cylinders
-Units = cylinders of 16065 * 512 = 8225280 bytes
-Disk identifier: 0x452b6464
+Disk /dev/loop0: 2 GiB, 2147483648 bytes, 4194304 sectors
+Units: sectors of 1 * 512 = 512 bytes
+Sector size (logical/physical): 512 bytes / 512 bytes
+I/O size (minimum/optimal): 512 bytes / 512 bytes
+Disklabel type: gpt
+Disk identifier: 6A1D9E28-C48C-2144-91F7-968B3CBC9BD1
+
+Device         Start     End Sectors  Size Type
+/dev/loop0p1  262144 4192255 3930112  1.9G Linux root (x86-64)
+/dev/loop0p14   2048    8191    6144    3M BIOS boot
+/dev/loop0p15   8192  262143  253952  124M EFI System
 
-      Device Boot      Start         End      Blocks   Id  System
-/dev/loop0p1               1         600     4819468+  83  Linux
-/dev/loop0p2             601         652      417690   83  Linux
+Partition table entries are not in disk order.
 # mkdir -p /mnt/loop0p1
-# mount -t ext4 /dev/loop0p1 /mnt/loop0p1
-# mkdir -p /mnt/loop0p2
-# mount -t ext4 /dev/loop0p2 /mnt/loop0p2
+# mkdir -p /mnt/loop0p15
+# mount -t auto /dev/loop0p1 /mnt/loop0p1
+# mount -t auto /dev/loop0p15 /mnt/loop0p15
+# mount |grep loop
+/dev/loop0p1 on /mnt/loop0p1 type ext4 (rw,relatime)
+/dev/loop0p15 on /mnt/loop0p15 type vfat (rw,relatime,fmask=0002,dmask=0002,allow_utime=0020,codepage=437,iocharset=ascii,shortname=mixed,utf8,errors=remount-ro)
 ...hack...hack...hack
 # umount /dev/loop0p1
-# umount /dev/loop0p2
-# losetup -D</screen>
+# umount /dev/loop0p15
+# losetup -d /dev/loop0</screen>
         <para>Alternatively, similar effects can be done by using the <ulink url="https://en.wikipedia.org/wiki/Device_mapper">device mapper</ulink> devices created by <literal>kpartx</literal>(8) from the <literal>kpartx</literal> package as follows.</para>
         <screen># kpartx -a -v disk.img
-...
-# mkdir -p /mnt/loop0p2
-# mount -t ext4 /dev/mapper/loop0p2 /mnt/loop0p2
-...
+add map loop0p1 (253:0): 0 3930112 linear 7:0 262144
+add map loop0p14 (253:1): 0 6144 linear 7:0 2048
+add map loop0p15 (253:2): 0 253952 linear 7:0 8192
+# fdisk -l /dev/loop0
+Disk /dev/loop0: 2 GiB, 2147483648 bytes, 4194304 sectors
+Units: sectors of 1 * 512 = 512 bytes
+Sector size (logical/physical): 512 bytes / 512 bytes
+I/O size (minimum/optimal): 512 bytes / 512 bytes
+Disklabel type: gpt
+Disk identifier: 6A1D9E28-C48C-2144-91F7-968B3CBC9BD1
+
+Device         Start     End Sectors  Size Type
+/dev/loop0p1  262144 4192255 3930112  1.9G Linux root (x86-64)
+/dev/loop0p14   2048    8191    6144    3M BIOS boot
+/dev/loop0p15   8192  262143  253952  124M EFI System
+
+Partition table entries are not in disk order.
+# ls -l /dev/mapper/
+total 0
+crw------- 1 root root 10, 236 Apr  2 22:45 control
+lrwxrwxrwx 1 root root       7 Apr  2 23:19 loop0p1 -> ../dm-0
+lrwxrwxrwx 1 root root       7 Apr  2 23:19 loop0p14 -> ../dm-1
+lrwxrwxrwx 1 root root       7 Apr  2 23:19 loop0p15 -> ../dm-2
+# mkdir -p /mnt/loop0p1
+# mkdir -p /mnt/loop0p15
+# mount -t auto /dev/mapper/loop0p1 /mnt/loop0p1
+# mount -t auto /dev/mapper/loop0p15 /mnt/loop0p15
+# mount |grep loop
+/dev/loop0p1 on /mnt/loop0p1 type ext4 (rw,relatime)
+/dev/loop0p15 on /mnt/loop0p15 type vfat (rw,relatime,fmask=0002,dmask=0002,allow_utime=0020,codepage=437,iocharset=ascii,shortname=mixed,utf8,errors=remount-ro)
 ...hack...hack...hack
-# umount /dev/mapper/loop0p2
-...
-# kpartx -d /mnt/loop0</screen>
-        <note>
-          <para>You can mount a single partition of such disk image with <ulink url="https://en.wikipedia.org/wiki/Loop_device">loop device</ulink> using offset to skip <ulink url="https://en.wikipedia.org/wiki/Master_boot_record">MBR</ulink> etc., too.  But this is more error prone.</para>
-        </note>
+# umount /dev/mapper/loop0p1
+# umount /dev/mapper/loop0p15
+# kpartx -d disk.img</screen>
       </section>
       <section id="_cleaning_a_disk_image_file">
         <title>Cleaning a disk image file</title>
@@ -2189,10 +2223,11 @@ Disk identifier: 0x452b6464
 # umount new.img
 # umount disk.img</screen>
         <para>If "<literal>disk.img</literal>" is in ext2, ext3 or ext4, you can also use <literal>zerofree</literal>(8) from the <literal>zerofree</literal> package as follows.</para>
-        <screen># losetup -f -v disk.img
-Loop device is /dev/loop3
-# zerofree /dev/loop3
-# cp --sparse=always disk.img new.img</screen>
+        <screen># losetup --show -f disk.img
+/dev/loop0
+# zerofree /dev/loop0
+# cp --sparse=always disk.img new.img
+# losetup -d /dev/loop0</screen>
       </section>
       <section id="_making_the_empty_disk_image_file">
         <title>Making the empty disk image file</title>
@@ -2200,11 +2235,11 @@ Loop device is /dev/loop3
         <screen>$ dd bs=1 count=0 if=/dev/zero of=disk.img seek=5G</screen>
         <para>Instead of using <literal>dd</literal>(1), specialized <literal>fallocate</literal>(8) may be used here.</para>
         <para>You can create an ext4 filesystem on this disk image "<literal>disk.img</literal>" using the <ulink url="https://en.wikipedia.org/wiki/Loop_device">loop device</ulink> as follows.</para>
-        <screen># losetup -f -v disk.img
-Loop device is /dev/loop1
-# mkfs.ext4 /dev/loop1
+        <screen># losetup --show -f disk.img
+/dev/loop0
+# mkfs.ext4 /dev/loop0
 ...hack...hack...hack
-# losetup -d /dev/loop1
+# losetup -d /dev/loop0
 $ du  --apparent-size -h disk.img
 5.0G  disk.img
 $ du -h disk.img
